label.custom-checkbox {
  padding-right: 0;
  padding-left: 0;
  margin-bottom: 0;
  & > input {
    height: 0;
    z-index: -100 !important;
    opacity: 0;
    position: absolute;
    &:checked {
      & + span {
        &:before {
          border: 0;
          display: inline-block;
          transform: rotate(136deg);
          height: 10px;
          width: 0px;
          border-top: 2px solid $success;
          border-right: 2px solid $success;
          @include transition();
        }
      }

    }
    &:disabled {
      & + span {
        color: gray;
        cursor: not-allowed;
        &:before {
          border-color: gray !important;
          cursor: not-allowed;
        }
      }
    }
  }
  & > span {
    position: relative;
    display: inline-block;
    margin: 0;
    line-height: 16px;
    // font-weight: $font-light;
    cursor: pointer;
    padding-left: 22px;
    width: 100%;
    &:before {
      cursor: pointer;
      // font-family: fontAwesome;
      // font-weight: $font-light;
      font-size: 12px;
      color: $white;
      content: "";
      @include transition();
      background-color: transparent;
      border: 1px solid $success;
      border-radius: 0;
      display: inline-block;
      text-align: center;
      height: 16px;
      line-height: 14px;
      min-width: 16px;
      margin-right: 6px;
      position: relative;
      top: 0;
      margin-left: -22px;
      float: left;
    }
    &:hover {
      &:before {
        border-color: $primary-bg;
      }
    }
  }
}
